[
{
    blockid=lang;
    help=root_lang_lang;
    custom=com.netscape.management.msgserv.RootLangControl;
    localvar={
	.sitelang.text="\u30b5\u30a4\u30c8\u8a00\u8a9e:";
	.domainmap.text="\u30c9\u30e1\u30a4\u30f3/\u8a00\u8a9e\u306e\u30de\u30c3\u30d4\u30f3\u30b0\u30c6\u30fc\u30d6\u30eb";
	.lang.header="\u8a00\u8a9e";
	.domain.header="\u30de\u30c3\u30d7\u30a8\u30f3\u30c8\u30ea";
	.delimiter=$;
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=sitelanglabel;
	    text=$.sitelang.text;
	    constraint={
	        gridx=0;
	        gridy=0;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=choice;
	    id=sitelangctrl;
	    label=sitelanglabel;
	    items=$local.supportedlanguages.value;
	    val=$gen.sitelanguage.value;
	    constraint={
	        gridx=1;
	        gridy=0;
	        weightx=9;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=domainmaplabel;
	    text=$.domainmap.text;
	    constraint={
	        gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    label=domainmaplabel;
	    id=maptable;
	    showedit=true;
	    editui=mapedit;
	    val=$service.smtp.domainlangtable.value;
	    delimiter=$.delimiter;
	    buttonsat=east;
	    constraint={
	        gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        weighty=1;
	        fill=both;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.domain.header;
		}
	    ]
	}
    ]
},
{
    blockid=mapedit;
    help=root_lang_mapedit;
    localvar={
        .domain.text="\u30c9\u30e1\u30a4\u30f3/\u30b5\u30d6\u30c9\u30e1\u30a4\u30f3";
	.preflang.border=[titled,"\u512a\u5148\u8a00\u8a9e"];
    };
    content=[
        {
            ctrl=pane;
            layout=[ybox];
            content=[
                {
                    ctrl=label;
                    id=domainlabel;
                    text=$.domain.text;
                    wrap=$g.label.size3;
                },
                {
                    ctrl=vstrut;
                },
                {
                    ctrl=text;
                    id=domainctrl;
                    label=domainlabel;
                    val=$domain.value;
                    maxwidth=-1;
                    focus=true;
                }
            ]
        },
        {
            ctrl=vstrut;
        },
        {
            ctrl=pane;
            layout=[border];
            content=[
            	{
            	    ctrl=pane;
            	    constraint=north;
            	    layout=[ybox];
            	    content=[
            	        {
            	            ctrl=separator;
            	        },
            	        {
            	            ctrl=vstrut;
            	        }
            	    ]
            	},
                {
                    ctrl=pane;
                    border=$.preflang.border;
                    id=langpane;
                    layout=[ybox];
                    constraint=center;
                },
                {
                    ctrl=pane;
                    constraint=south;
                    layout=[ybox];
                    content=[
                        {
                            ctrl=vstrut;
                        },
                        {
                            ctrl=pane;
                            content=[
				{
				    ctrl=hglue;
				},
				{
				    ctrl=button;
				    id=morectrl;
				    text="More";
				    cmd=more;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=button;
				    id=fewerctrl;
				    text="\u6761\u4ef6\u524a\u9664";
				    cmd=fewer;
				}
                            ]
                        },
                        {
                            ctrl=vstrut;
                        }
                    ]
                }
            ]
        }
    ]
},
{
    blockid=firstlang;
    content=[
        {
            ctrl=pane;
            content=[
		{
		    ctrl=label;
		    wrap=$g.label.size0;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    id=langctrl;
		    items=$local.supportedlanguages.value;
		    aligny=0.5;
		}
            ]
        },
        {
            ctrl=vstrut;
        }
    ]
},
{
    blockid=orlang;
    localvar={
        .or.text="\u307e\u305f\u306f";
    };
    content=[
        {
            ctrl=pane;
            content=[
		{
		    ctrl=label;
		    text=$.or.text;
		    wrap=$g.label.size0;
		    alignh=right;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    id=langctrl;
		    items=$local.supportedlanguages.value;
		    aligny=0.5;
		}
            ]
        },
        {
            ctrl=vstrut;
        }
    ]
}
]
